import { XmlDocument } from '../types/xml-types';
/**
 * Class that represents an XML slide helper
 */
export declare class XmlSlideHelper {
    private slideXml;
    /**
     * Constructor for the XmlSlideHelper class.
     * @param {XmlDocument} slideXml - The slide XML document to be used by the helper.
     */
    constructor(slideXml: XmlDocument);
    /**
     * Get all text element IDs from the slide.
     * @param {boolean} [useCreationIds=false] - If true, use creation IDs when available; otherwise, use element names.
     * @return {string[]} An array of text element IDs.
     */
    getAllTextElementIds(useCreationIds?: boolean): string[];
}
