import { Target } from '../types/types';
import { ElementInfo, SlideInfo, TemplateSlideInfo } from '../types/xml-types';
import IArchive from '../interfaces/iarchive';
export declare class XmlTemplateHelper {
    archive: IArchive;
    relType: string;
    relTypeNotes: string;
    path: string;
    defaultSlideName: string;
    constructor(archive: IArchive);
    getCreationIds(): Promise<SlideInfo[]>;
    parseSlideRelFile(slideRelFile: string): number;
    getSlideInfo(slideXml: any, archive: any, slideRelFile: string): Promise<TemplateSlideInfo>;
    getNameFromSlideInfo(slideXml: any): string;
    getSlideNoteRels(archive: IArchive, slideRelFile: string): Promise<Target[]>;
    getSlideNameFromNotes(archive: any, slideNoteRels: any): Promise<string>;
    parseTitleElement(titleElement: any): string[];
    /**
     * Returns the slide numbers of a given template as a sorted array of integers.
     * @returns {Promise<number[]>} - A promise that resolves to a sorted array of slide numbers in the template.
     */
    getAllSlideNumbers(): Promise<number[]>;
    elementCreationIds(slideXml: any, archive: any): ElementInfo[];
    getElementInfo(slideElement: any, archive: any): ElementInfo;
}
